javax.faces.validator

## Annotation Type FacesValidator

-     @Retention(value=RUNTIME)
      @Target(value=TYPE)
      @Inherited
      public @interface FacesValidator

  The presence of this annotation on a class automatically registers the class with the runtime as a `Validator`. The value of the `value()` attribute is taken to be the validator-id and the fully qualified class name of the class to which this annotation is attached is taken to be the validator-class. The implementation must guarantee that for each class annotated with `FacesValidator`, found with the algorithm in section JSF.11.5, `Application.addValidator(java.lang.String,java.lang.String)` is called, passing the derived validator-id as the first argument and the derived validator-class as the second argument. The implementation must guarantee that all such calls to `addValidator()` happen during application startup time and before any requests are serviced.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `isDefault` If `true`, the validator id for this annotation is added to the list of default validators by a call to `Application.addDefaultValidatorId(java.lang.String)`.
    `String` | `value` The value of this annotation attribute is taken to be the validator-id with which instances of this class of component can be instantiated by calling `Application.createValidator(java.lang.String)`.

- - ### Element Detail

    - #### value

          public abstract String value

      The value of this annotation attribute is taken to be the validator-id with which instances of this class of component can be instantiated by calling `Application.createValidator(java.lang.String)`. If no value is specified, or the value is `null`, the value is taken to be the return of calling `getSimpleName` on the class to which this annotation is attached and lowercasing the first character. If more than one validator with this derived name is found, the results are undefined.

      Default:
        ""

    - #### isDefault

          public abstract boolean isDefault

      If `true`, the validator id for this annotation is added to the list of default validators by a call to `Application.addDefaultValidatorId(java.lang.String)`.

      Default:
        false

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.